Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class Java2DAnimatedUserResourceWrapperImpl

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.richfaces.resource.BaseResourceWrapper<org.richfaces.resource.Java2DUserResource>
                      org.richfaces.resource.Java2DUserResourceWrapperImpl
                          org.richfaces.resource.Java2DAnimatedUserResourceWrapperImpl

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.FacesWrapper<org.richfaces.resource.Java2DUserResource>, org.richfaces.resource.CacheableResource, org.richfaces.resource.Java2DUserResourceWrapper, org.richfaces.resource.VersionedResource

    public class Java2DAnimatedUserResourceWrapperImpl

extends Java2DUserResourceWrapperImpl

Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`Java2DAnimatedUserResourceWrapperImpl(org.richfaces.resource.Java2DAnimatedUserResource resourceObject, boolean cacheable, boolean versioned)`

Method Summary
`java.lang.String` | `getRequestPath()`
`protected void` | `paintAndWrite(javax.imageio.stream.ImageOutputStream outputStream)`

Methods inherited from class org.richfaces.resource.Java2DUserResourceWrapperImpl
`createGraphics, decodeColor, getColorValueParameter, getContentType, getHeight, getInputStream, getLastModified, getValueParameter, getWrappedResourceResponseHeaders, write`

Methods inherited from class org.richfaces.resource.BaseResourceWrapper
`getEntityTag, getExpires, getResponseHeaders, getTimeToLive, getVersion, getWrapped, isCacheable, isTransient, restoreState, saveState, setTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.richfaces.resource.Java2DUserResourceWrapper
`getWrapped`

Constructor Detail

### Java2DAnimatedUserResourceWrapperImpl

    public Java2DAnimatedUserResourceWrapperImpl(org.richfaces.resource.Java2DAnimatedUserResource resourceObject,
                                                 boolean cacheable,
                                                 boolean versioned)

Method Detail

### getRequestPath

    public java.lang.String getRequestPath()

  Overrides:
    `getRequestPath` in class `AbstractBaseResource`

### paintAndWrite

    protected void paintAndWrite(javax.imageio.stream.ImageOutputStream outputStream)
                          throws java.io.IOException

  Overrides:
    `paintAndWrite` in class `Java2DUserResourceWrapperImpl`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.